<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('infra_batiments', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('batiment_id')->unsigned()->nullable();
            $table->foreign('batiment_id')->references('id')->on('batiments')->nullable();
            $table->bigInteger('infrastructure_id')->unsigned()->nullable();
            $table->foreign('infrastructure_id')->references('id')->on('infrastructures')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('infra_batiments');
    }
};
